Skip to main content

HuaweiApiGatewayEvent

@h4ad/serverless-adapter > HuaweiApiGatewayEvent

(interface) HuaweiApiGatewayEvent​

The interface that represents the Api Gateway Event of Huawei when integrate with Function Graph of Event Type. See more in Reference .

Signature:

export interface HuaweiApiGatewayEvent

(property) body​

The body value with the content of this event serialized in JSON

Signature:

body: string;

(property) headers​

The headers of the request which this event represents

Signature:

headers: BothValueHeaders;

(property) httpMethod​

The HTTP Method of the request which this event represents

Signature:

httpMethod: string;

(property) isBase64Encoded​

Tells if the body is base64 encoded

Signature:

isBase64Encoded: boolean;

(property) path​

The path of the request which this event represents

Signature:

path: string;

(property) pathParameters​

The path parameters of the request which this event represents

Signature:

pathParameters: HuaweiRequestPathParameters;

(property) queryStringParameters​

The query strings of the request which this event represents

Signature:

queryStringParameters: HuaweiRequestQueryStringParameters;

(property) requestContext​

The request context with information about the stage, api and requestId

Signature:

requestContext: HuaweiRequestContext;